{
    "AllowedHosts": "*",
    "AppConfiguration": {
        "AppScope": "ZiGong",
        "YiBin": {
            "CallCenterType": "TianRun", //XunShi、WeiErXin、TianRun、XingTang
            //智能回访
            "AiVisit": {
                "Url": "http://118.122.73.80:19061",
                "Appkey": "MTAwMDAx",
                "ServiceVersion": "V1.0.0" //接口版本号
            },
            //智能质检
            "AiQuality": {
                "Url": "http://118.122.73.80:19072/" // 正式
                //"Url": "http://118.122.73.80:19072/", // 测试
            },
            //企业服务
            "Enterprise": {
                "AddressUrl": "http://10.12.185.227:8834/",
                "ClientId": "1462598736",
                "ClientSecret": "6nZtVK4rKfnsncGymUHB",
                "TenantId": "000000"
            }
        },
        "ZiGong": {
            "CallCenterType": "XingTang"
        },
        "LuZhou": {
            "CallCenterType": "XingTang"
        }
    },
    "CallCenterConfiguration": {
        //"CallCenterType": "TianRun", //XunShi、WeiErXin、TianRun、XingTang
        "NewRock": {
            "Address": "http://192.168.100.100/xml",
            "Authorize": true,
            "ReceiveKey": "E1BBD1BB-A269-44",
            "SendKey": "2A-BA92-160A3B1D",
            "Expired": 86300 //认证过期时间（秒）
        },
        "Wex": {
            "Address": "http://222.212.82.225:8083",
            "Username": "admin",
            "Password": "Wex@12345"
        },
        "TianRun": {
            //"Address": "http://internal.ttf-cti.com:8080",
            //"Username": "yscs",
            //"Password": "123456",
            "Address": "http://222.213.23.229:29003/",
            "Username": "root",
            "Password": "12345678aa",
            "Ip": "222.213.23.229"
        },
        "XingTang": {
            //"DbConnectionString": "server=123.56.10.71;Database=callcenter_db;Uid=root;Pwd=Lhw1981!(*!"
            "DbConnectionString": "server=110.188.24.182;Database=callcenter_xingtang;Uid=dev;Pwd=fengwo11!!"
        }
    },
    "ConnectionStrings": {
        "Hotline": "PORT=5432;DATABASE=hotline_dev;HOST=110.188.24.182;PASSWORD=fengwo11!!;USER ID=dev;"
    },
    "Cache": {
        "Host": "110.188.24.182",
        "Port": 50179,
        "Password": "fengwo123!$!$",
        "Database": 5 //release:3, dev:5
    },
    "Swagger": true,
    "Cors": {
        "Origins": [ "http://localhost:8888", "http://admin.hotline.fw.com", "http://localhost:80", "http://localhost:8113" ]
    },
    "IdentityConfiguration": {
        "Password": {
            "RequiredLength": 8,
            "RequireNonAlphanumeric": true,
            "RequireLowercase": true,
            "RequireUppercase": true
        },
        "User": {
            "RequireUniqueEmail": false
        },
        "SignIn": {
            "RequireConfirmedAccount": false
        },
        "Lockout": {
            "MaxFailedAccessAttempts": 5,
            "DefaultLockoutTimeSpan": "00:10:00"
        },
        "Account": {
            "DefaultPassword": "Fwkj@789"
        },
        "Jwt": {
            "SecretKey": "e660d04ef1d3410798c953f5d7b8a4e1",
            "Issuer": "hotline_server",
            "Audience": "hotline",
            "Scope": "hotline_api",
            "Expired": 86400 //seceonds
        }
    },
    "DatabaseConfiguration": {
        "ApplyDbMigrations": false,
        "ApplySeed": false
    },
    "MqConfiguration": {
        "DbConnectionString": "PORT=5432;DATABASE=fwmq;HOST=110.188.24.182;PASSWORD=fengwo11!!;USER ID=dev;",
        "UseDashBoard": true,
        "RabbitMq": {
            "UserName": "dev",
            "Password": "123456",
            "HostName": "110.188.24.182",
            "VirtualHost": "fwt-unit-test"
        }
    },
    //"SmsAccountInfo": {
    //  "MessageServerUrl": "http://webservice.fway.com.cn:1432/FWebService.asmx/FWay_Service", //短信发送地址
    //  "AccountUser": "CS12345", //短信系统账号
    //  "AccountPwd": "9EE3899305A8FC97D6146CAC6B802E6F", //短信系统密码
    //  "ReturnAccountUser": "fwkj", //短信回传账号
    //  "ReturnAccountPwd": "fwkj12" //短信回传密码
    //},
    "FwClient": {
        "ClientId": "hotline",
        "ClientSecret": "08db29cc-0da0-4adf-850c-1b2689bd535d"
    }
    //"ConfigCenter": {
    //  "ServerAddresses": [ "http://110.188.24.28:8848" ],
    //  "Namespace": "17503980-9b0d-4d3e-8e35-c842c41fb888", //debug
    //  "ServiceName": "hotline"
    //},
    //"Tr": {
    //  //"Address": "http://internal.ttf-cti.com:8080",
    //  //"Username": "yscs",
    //  //"Password": "123456",
    //  "Address": "http://222.213.23.229:29003/",
    //  "Username": "root",
    //  "Password": "12345678aa",
    //  "Ip": "222.213.23.229"
    //},
    ////智能回访
    //"AiVisit": {
    //  "Url": "http://118.122.73.80:19061",
    //  "Appkey": "MTAwMDAx",
    //  "ServiceVersion": "V1.0.0" //接口版本号
    //},
    ////智能质检
    //"AiQuality": {
    //  "Url": "http://118.122.73.80:19072/" // 正式
    //  //"Url": "http://118.122.73.80:19072/", // 测试
    //},
    ////企业服务
    //"Enterprise": {
    //  "AddressUrl": "http://10.12.185.227:8834/",
    //  "ClientId": "1462598736",
    //  "ClientSecret": "6nZtVK4rKfnsncGymUHB",
    //  "TenantId": "000000"
    //},

    //"SendSms": {
    //  "Url": "http://localhost:50108/api/v1/PushMessage/addwaitmsg"
    //}


}
